import javax.swing.*;
import com.mindfusion.charting.*;
import com.mindfusion.drawing.DashStyle;
import com.mindfusion.drawing.SolidBrush;

import java.awt.*;
import java.util.Arrays;
import java.util.List;


public class AreaChart extends JFrame
    {
        public static void main(String[] args) {
            JFrame f = new JFrame();
            f.setTitle("MindFusion.Charting sample: Area Chart");
            f.setSize(800, 600);
            f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

            List<String> labels = Arrays.asList(
                    "Jan", "Feb", "Mar", "Apr", "May", "Jun",
                    "Jul", "Aug", "Sept", "Oct", "Nov", "Dec"
            );
            com.mindfusion.charting.swing.AreaChart chart =
                    new com.mindfusion.charting.swing.AreaChart();


            // create sample data series
            Series2D series1 = new Series2D(
                    Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0, 11.0),
                    Arrays.asList(25.0, 35.0, 24.0, 26.0, 27.0, 19.0, 29.0, 19.0, 27.0, 23.0, 17.0, 15.0),
                    labels);
            series1.setSupportedLabels(LabelKinds.XAxisLabel);
            series1.setTitle("Europe");
            chart.getSeries().add(series1);

            Series2D series2 = new Series2D(
                    Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0, 11.0),
                    Arrays.asList(7.0, 12.0, 8.0, 14.0, 9.0, 11.0, 13.0, 5.0, 10.0, 8.0, 12.0, 3.0),
                    null);
            series2.setTitle("North America");
            chart.getSeries().add(series2);

            chart.getLegendRenderer().setShowTitle(false);
            chart.getYAxis().setInterval(5.0);
            chart.getYAxis().setMaxValue(50.0);
            chart.getXAxis().setMaxValue(12.0);
            chart.getXAxis().setInterval(1.0);
            chart.getXAxis().setTitle("");
            chart.getYAxis().setTitle("");

            chart.setShowXCoordinates(false);
            chart.getTheme().setAxisLabelsFontSize(14);
            chart.setGridType(GridType.Horizontal);
            chart.getTheme().setGridLineColor(new Color(190, 190, 190));
            chart.getTheme().setGridLineStyle(DashStyle.Dash);
            chart.getTheme().setDataLabelsFontSize(14);

            chart.getTheme().setCommonSeriesFills(
                    Arrays.asList(
                            new SolidBrush( new Color (102, 154, 204, 190)),
                            new SolidBrush(new Color (156, 170, 198, 190))));

            chart.getTheme().setCommonSeriesStrokes(
                    Arrays.asList(
                            new SolidBrush( new Color (28, 58, 88))));
            chart.getTheme().setCommonSeriesStrokeThicknesses(
                    Arrays.asList(5.0));

            f.getContentPane().setLayout(new BorderLayout());
            f.getContentPane().add(chart, BorderLayout.CENTER);

            f.setVisible(true);
        }

}
